# Generated from pdf_search-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pdf_search

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Searching pdfs by leveragin Elasticsearch
License: MIT
URL: https://github.com/banalBI/pdfsearch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(selenium-webdriver)
BuildArch: noarch

%description
Run in any directory containing pdfs using `$ pdf_search (optional: %folder
name%)`.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/pdf_search
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/html
%{gem_libdir}
%{gem_instdir}/log
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.3-1
- Initial package
